ChangeSet 1.1155.3.1, 2003/05/19 10:46:30-07:00, david-b@pacbell.net

[PATCH] USB: usbtest, talk to user mode "firmware"

Supports some user-mode testing "firmware".


diff -Nru a/drivers/usb/misc/usbtest.c b/drivers/usb/misc/usbtest.c
--- a/drivers/usb/misc/usbtest.c	Tue May 20 17:25:48 2003
+++ b/drivers/usb/misc/usbtest.c	Tue May 20 17:25:48 2003
@@ -1349,6 +1349,13 @@
 	.alt		= 0,
 };
 
+static struct usbtest_info um_info = {
+	.name		= "user mode test driver",
+	.ep_in		= 7,
+	.ep_out		= 3,
+	.alt		= -1,
+};
+
 #ifdef IBOT2
 /* this is a nice source of high speed bulk data;
  * uses an FX2, with firmware provided in the device
@@ -1412,6 +1419,11 @@
 	/* "Gadget Zero" firmware runs under Linux */
 	{ USB_DEVICE (0x0525, 0xa4a0),
 		.driver_info = (unsigned long) &fw_info,
+		},
+
+	/* so does a user-mode variant */
+	{ USB_DEVICE (0x0525, 0xa4a4),
+		.driver_info = (unsigned long) &um_info,
 		},
 
 #ifdef KEYSPAN_19Qi
